<?php
require '../conexao/conexao.php';
require '../sessao.php';

// Verifique se o formulário foi enviado
if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    // Recuperar os parâmetros de consulta do index.php
    $cidade = $_POST['cidade'];
    $ano = $_POST['ano'];
    $mes = $_POST['mes'];
    $filial = $_POST['codigo_filial'];
    $cod_vendedor = $_POST['codigo_funcionario']; 

    // Construir a string de consulta
    $query_string = http_build_query([
        'cidade' => $cidade,
        'ano' => $ano,
        'mes' => $mes,
		'filial' => $filial,
        'form_submitted' => 1 // supondo que você ainda precise disso
    ]);

    // Presumindo que você está recebendo os arrays 'valor_manipulado', 'valor_revenda' e 'valor_proprio'
    $manipulado = $_POST['valor_manipulado'];
    $revenda = $_POST['valor_revenda'];
    $marcapropria = $_POST['valor_propria'];
    $ids = $_POST['id_metas_vendedor'];

    // Preparando para evitar SQL Injection
    $stmt = $connectionmysql->prepare("UPDATE metas_vendedor 
    SET valor_meta = CASE 
        WHEN grupo_meta = 'manipulado' THEN ?
        WHEN grupo_meta = 'revenda' THEN ?
        WHEN grupo_meta = 'propria' THEN ?
    END
    WHERE id_metas_vendedor = ? ");

    // Verifica se a preparação foi bem-sucedida
    if ($stmt === false) {
        die('Erro ao preparar a consulta: ' . htmlspecialchars($connectionmysql->error));
    }

    // Atualizando cada entrada
    foreach ($ids as $id) {
        $manipuladoAtual = $manipulado[$id];
        $revendaAtual = $revenda[$id];
        $marcapropriaAtual = $marcapropria[$id];
        //Tratando a virgula substituindo por ponto 
        $manipuladoAtual = str_replace(',', '.', $manipuladoAtual); // Substitui vírgula por ponto
        $revendaAtual = str_replace(',', '.', $revendaAtual); // Substitui vírgula por ponto
        $marcapropriaAtual = str_replace(',', '.', $marcapropriaAtual); // Substitui vírgula por ponto
        // Convertendo valores para garantir que eles correspondam aos tipos de dados esperados pela consulta SQL
        $manipuladoAtual = (float) $manipuladoAtual;
        $revendaAtual = (float) $revendaAtual;
        $marcapropriaAtual = (float) $marcapropriaAtual;

        // Ligando parâmetros para a instrução preparada
        $stmt->bind_param('dddi', $manipuladoAtual, $revendaAtual, $marcapropriaAtual, $id);

        // Executando a consulta preparada
        $result = $stmt->execute();

        // Verifica se a execução foi bem-sucedida
        if ($result === false) {
            die('Erro ao executar a consulta: ' . htmlspecialchars($stmt->error));
        }
    }

    // Fecha a instrução
    $stmt->close();

    // Aqui, você redirecionaria de volta para a página 'index.php' ou onde quer que você precise ir a seguir
    header("Location: metas_vendedor.php?status=sucesso&$query_string");
    exit();
} else {
    // Redirecionado aqui se nenhuma informação POST estiver presente
    header("Location: metas_vendedor.php?status=erro$query_string");
    exit();
}
?>
}
?>
